import http from "@/api";
const ITEMS = `/navigation/items`;
// 导航列表列接口
export const getItemsListApi = (params: any) => {
    return http.get<any>(`${ITEMS}/index`, params);
};
// 导航链接类型接口
export const getItemsLinkTypeApi = (params: any) => {
    return http.get<any>(`${ITEMS}/link/type`, params);
};
// 导航详情接口
export const getItemsReadApi = (params: any) => {
    return http.get<any>(`${ITEMS}/read/${params}`);
};
// 导航新增接口
export const getItemsSaveApi = (params: any) => {
    return http.post<any>(`${ITEMS}/save`, params);
};
// 导航更新接口
export const getItemsListEditUpApi = (params: any) => {
    const { id } = params;
    return http.put<any>(`${ITEMS}/update/${id}`, params);
};
// 导航排序接口
export const getItemsSortApi = (params: any) => {
    return http.post<any>(`${ITEMS}/sort/${params.id}`, { sort: params.sort });
};
// 导航删除接口
export const getItemsDelApi = (params: any) => {
    return http.delete<any>(`${ITEMS}/delete/${params}`);
};
